{% extends 'layouts/base.html' %}
{% from 'macro/form.html' import form_field %}

{% set pageTitle = "Login"  %}
{% block pageCSS %}
<link type="text/css" href="/public/css/auth.css">
{% endblock pageCSS %}

{% block pageContent %}
<div class="row justify-content-center">
	<form class="col-md-4 needs-validation"
		  method="POST"
		  action="/auth/login">
		{{ form.csrf_token }}
		<div class="text-center">
			<h2 class="app-name">Sign in</h2>
		</div>

		<div class="col">
		{{ form_field(form.username, placeholder="Enter your username") }}
		{{ form_field(form.password, placeholder="Enter your password") }}
		</div>

		<div class="col">
			<button
					type="submit"
					class="btn btn-primary waves-effect"
					style="width: 100%;">
				Login
			</button>
		</div>

		<div class="col">
			<a class="row text-end" href="/auth/reset">Forget password</a>
			<a class="row text-end" href="/auth/register">Signup</a>
		</div>
	</form>
</div>
{% endblock pageContent %}